xine-lib: bebf_latm_t Struct Reference

xine-lib 1.2.12

Data Fields
bebf_latm_t Struct Reference

## Data Fields
bebf_t | bebf
uint8_t * | frame
uint32_t | framelen
uint32_t | fbuflen
uint8_t * | config
uint32_t | conflen
uint32_t | confbuflen
uint32_t | version
uint32_t | frame_len_type
uint32_t | frame_len
bebf_aot_t | object_type
bebf_aot_t | object_type2
uint32_t | samplerate_index
uint32_t | samplerate
uint32_t | samplerate_index2
uint32_t | samplerate2
uint32_t | samples
uint32_t | channel_conf
uint32_t | numchannels
uint32_t | channel_conf2
int32_t | sbr
int32_t | ps

## Field Documentation

## ◆ bebf

bebf_t bebf_latm_t::bebf

Referenced by bebf_latm_configure(), and bebf_latm_demux().

## ◆ channel_conf

uint32_t bebf_latm_t::channel_conf

Referenced by bebf_latm_configure().

## ◆ channel_conf2

uint32_t bebf_latm_t::channel_conf2

Referenced by bebf_latm_configure().

## ◆ confbuflen

uint32_t bebf_latm_t::confbuflen

Referenced by bebf_latm_configure().

## ◆ config

uint8_t* bebf_latm_t::config

Referenced by bebf_latm_close(), and bebf_latm_configure().

## ◆ conflen

uint32_t bebf_latm_t::conflen

Referenced by bebf_latm_configure(), and bebf_latm_demux().

## ◆ fbuflen

uint32_t bebf_latm_t::fbuflen

Referenced by bebf_latm_close(), and bebf_latm_demux().

## ◆ frame

uint8_t* bebf_latm_t::frame

Referenced by bebf_latm_close(), and bebf_latm_demux().

## ◆ frame_len

uint32_t bebf_latm_t::frame_len

Referenced by bebf_latm_demux().

## ◆ frame_len_type

uint32_t bebf_latm_t::frame_len_type

Referenced by bebf_latm_demux().

## ◆ framelen

uint32_t bebf_latm_t::framelen

Referenced by bebf_latm_close(), and bebf_latm_demux().

## ◆ numchannels

uint32_t bebf_latm_t::numchannels

Referenced by bebf_latm_configure().

## ◆ object_type

bebf_aot_t bebf_latm_t::object_type

Referenced by bebf_latm_configure().

## ◆ object_type2

bebf_aot_t bebf_latm_t::object_type2

Referenced by bebf_latm_configure().

## ◆ ps

int32_t bebf_latm_t::ps

Referenced by bebf_latm_configure().

## ◆ samplerate

uint32_t bebf_latm_t::samplerate

Referenced by bebf_latm_configure().

## ◆ samplerate2

uint32_t bebf_latm_t::samplerate2

Referenced by bebf_latm_configure().

## ◆ samplerate_index

uint32_t bebf_latm_t::samplerate_index

Referenced by bebf_latm_configure().

## ◆ samplerate_index2

uint32_t bebf_latm_t::samplerate_index2

Referenced by bebf_latm_configure().

## ◆ samples

uint32_t bebf_latm_t::samples

Referenced by bebf_latm_configure().

## ◆ sbr

int32_t bebf_latm_t::sbr

Referenced by bebf_latm_configure().

## ◆ version

uint32_t bebf_latm_t::version

Referenced by bebf_latm_demux().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/audio_dec/latm.c